Subject: [TR] Top Gear & TV

From: John Macartney <[email-masked]>
Date: Sat, 8 Nov 2025 21:38:29 +0000

I know that many of you enjoy watching Top Gear. 
In its earliest days, and apart from Clarkson, who IMHO has always been odious in the extreme, the programme was co-hosted by Quentin Wilson who was a totally different and professional kettle of fish. I got to know Quentin quite well on his regular visits to BMIHT when the museum or it’s archive was being filmed and always, he was polite, courteous, well informed and always genuine in the way he interfaced with people. It was always a pleasure being with him as it was a penance to deal with the arrogant and ‘entitled’ twat of Clarkson. Today, I heard with much sadness that Quentin Wilson has sadly died. He was only 68 and it was after several years of suffering with cancer. Quentin knew and understood the former British motor industry in a way that many other automotive journalists persistently don’t bother to inform themselves and their audiences and in my view, those of us who remain and still with an interest in old cars, are sadly denied a commentator who was truly outstanding in his knowledge and the many contributions he made.

Jonmac
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]